Portal certificate store replication
2012-02-14 05:42 - Ben Leinfelder

Status: Rejected Start date: 2012-02-14
Priority: Normal Due date:

Assignee: Ben Leinfelder % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Sprint-2012.09-Block.2.1

Milestone: CCI-1.0.0 Story Points:

Product Version: *

Description

ClLogon portal delegation uses different types of "transaction stores" to keep track of authenticated users and their certificates (that it
uses when proxying for them). | was using the file system-based store, but am migrating to the Postgres-based store so that we can
use the pgpool replication utility to sync the postgres databases for the portal across the three CNs.

History

#1 - 2012-02-14 05:55 - Ben Leinfelder

Waiting to confirm that the DB-based transaction store can indeed be used. Initial setup/testing with pgpool is promising but | have not yet set up
cn-dev-* with this feature. Still "proof-of-concepting” it

#2 - 2012-02-23 02:28 - Ben Leinfelder

- Status changed from New to Rejected

| was getting inconsistent pgpool replication across the three cn-dev instances. We decided for now we would just share a single Postgres install and
let all three CN portal web apps share it. Means there is a single failure point (the db server) but we will live with this weakness for first public release.
